# $Revision: 1.48 $, $Date: 2002/11/06 11:11:39 $
#
# Conditional build:
# --with vanilla - build vanilla NetHack (without patches)
#
%define		file_version	%(echo %{version} | tr -d .)
Summary:	NetHack - An adventure into the Mazes of Menace
Summary(es):	Juego estilo rogue que se basa en Dungeons and Dragons (calabozos y dragones)
Summary(no):	NetHack - Et eventyr i en faretruende labyrint
Summary(pl):	NetHack - Przygoda w Labiryntach Groby
Summary(pt_BR):	Jogo estilo rogue baseado no Dungeons and Dragons
Name:		nethack
Version:	3.4.0
Release:	11
License:	Nethack GPL
Group:		Applications/Games
Source0:	ftp://ftp.nethack.org/pub/nethack/nh%{file_version}/src/%{name}-%{file_version}.tgz
Source1:	http://www.spod-central.org/~psmith/nh/spoi-%{file_version}.tar.gz
Source2:	http://www.spod-central.org/~psmith/nh/gazetteer.tar.gz
Source3:	%{name}.desktop
Source4:	%{name}.png
Source5:	Guidebook-3.2pl.ps.gz
Source6:	Guidebook.pdf
Source7:	%{name}rc.gz
# http://avrc.city.ac.uk/nethack/VernonSpoilers/vol3-1.2.2.pdf
Source8:	%{name}-vol3-1.2.2.pdf
Patch0:		%{name}-config.patch
Patch1:		%{name}-makefile.patch
# patches below are adapted from ones found at http://avrc.city.ac.uk/nethack/patches.html
# warning: order is important in most cases
Patch100:	%{name}-show_born.patch
Patch101:	%{name}-dump.patch
Patch102:	%{name}-behind_boulder.patch
Patch103:	%{name}-yafm-monabil.patch
Patch104:	%{name}-chivalry.patch
Patch105:	%{name}-kenny.patch
Patch106:	%{name}-sticky_objects.patch
Patch107:	%{name}-steed-fix.patch
Patch108:	%{name}-wash_hands.patch
Patch109:	%{name}-listmons.patch
Patch110:	%{name}-flipcoin.patch
Patch111:	%{name}-ride_key.patch
Patch112:	%{name}-dungeon_growth.patch
Patch113:	%{name}-dragon_hoard.patch
Patch114:	%{name}-torch.patch
Patch115:	%{name}-hole.patch
Patch116:	%{name}-mirror.patch
Patch117:	%{name}-newt.patch
# after adding additional features update this patch
Patch200:	%{name}-makedefs.patch
URL:		http://www.nethack.org/
BuildRequires:	XFree86-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	ncurses-devel
BuildRequires:	qt-devel >= 3.0.3
Requires:	/bin/gzip
Requires:	applnk >= 1.5.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _nhdir	%{_datadir}/nethack
%define _dyndir	/var/games/nethack

%description
A dungeon game similar to rogue but more elaborate, very popular at
Unix sites and on PC-class machines (nethack is probably the most
widely distributed of the freeware dungeon games). The earliest
versions, written by Jay Fenlason and later considerably enhanced by
Andries Brouwer, were simply called `hack'. The name changed when
maintenance was taken over by a group of hackers originally organized
by Mike Stephenson.

%{?!_with_vanilla:This package contains additional features.}

%description -l pt_BR
Nethack  um jogo clssico estilo rogue, baseado no Dungeons and
Dragons. Ele  um jogo muito elaborado e profundo, desenvolvido h
anos pelo mesmo time de indivduos.

%description -l es
Nethack es un juego clsico estilo rogue, basado en el juego Dungeons
and Dragons (calabozos y dragones). Es un juego muy elaborado y
profundo, desarrollado desde hace muchos aos por el mismo grupo de
individuos.

%description -l no
NetHack - Et eventyr i en faretruende labyrint.

NetHack 3.4.0 er siste utvidelse til NetHack, et tm og rm eventyr
spill. Det er basert p spill som Rouge og Hack, og er etterflgeren
til versjon 3.0 og 3.1 av NetHack.

Denne utgaven er kopilert sttte for flgende utvidelser: QT og
ncurses.

%description -l pl
Gra dziejca si w lochu, podobna do rogue, lecz bardziej dopracowana.
Bardzo popularna na Uniksach i maszynach klasy PC (nethack jest
prawdopodobnie najszerzej rozpowszechnion darmow gr labiryntow.)
Najwczeniejsze wersje, napisane przez Jaya Fenlasona, a nastpnie
znacznie rozszerzone przez Andriesa Brouwara, nazyway si po prostu
'hack' (rba, sieka.) Nazwa zmienia si gdy opieka nad gr zostaa
przejta przez grup hackerw zawizan przez Mike'a Stephensona.

%{?!_with_vanilla:Ten pakiet zawiera dodatkowe bajery.}

%package spoilers
Summary:	Spoilers to NetHack
Summary(pl):	Psuje dla NetHacka
Group:		Applications/Games

%description spoilers
Spoilers - a set of texts which explain many secrets in the game.
Beware: the game after reading it becomes even more addictive! (But
you will lose delights of discovering its secrets.)

%description spoilers -l pl
Psuje - zbir tekstw wyjaniajcych wiele sekretw w grze. Uwaga: po
przeczytaniu gra staje si jeszcze bardziej uzaleniajca! (Lecz
stracisz rozkosze poznawania jej tajnikw.)

%package doc-pdf
Summary:	Nethack Guidebook, PDF format
Summary(pl):	Nethackowy podrcznik w formacie PDF
Group:		Applications/Games

%description doc-pdf
Nethack Guidebook, PDF format.

%description doc-pdf -l pl
Nethackowy podrcznik w formacie PDF.

%prep
%setup -q -a 1 -a 2 -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

# patches adding fun
%{?!_with_vanilla:%patch100 -p1}
%{?!_with_vanilla:%patch101 -p1}
%{?!_with_vanilla:%patch102 -p1}
%{?!_with_vanilla:%patch103 -p1}
%{?!_with_vanilla:%patch104 -p1}
%{?!_with_vanilla:%patch105 -p1}
%{?!_with_vanilla:%patch106 -p1}
%{?!_with_vanilla:%patch107 -p1}
%{?!_with_vanilla:%patch108 -p1}
%{?!_with_vanilla:%patch109 -p1}
%{?!_with_vanilla:%patch110 -p1}
%{?!_with_vanilla:%patch111 -p1}
%{?!_with_vanilla:%patch112 -p1}
%{?!_with_vanilla:%patch113 -p1}
#%{?!_with_vanilla:%patch114 -p1}
#%{?!_with_vanilla:%patch115 -p1}
#%{?!_with_vanilla:%patch116 -p1}
%{?!_with_vanilla:%patch117 -p1}
%{?!_with_vanilla:%patch200 -p1}

%build
sh ./sys/unix/setup.sh links

%{__make} all \
	CFLAGS="%{rpmcflags} -I../include -I%{_includedir}/ncurses" \
	LFLAGS="%{rpmldflags}" \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	LD="%{__cxx}"

%{__make} -C util recover \
	CFLAGS="%{rpmcflags} -I../include" \
	LFLAGS="%{rpmldflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Games/RPG,%{_mandir}/man6}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install util/recover $RPM_BUILD_ROOT%{_nhdir}

install doc/nethack.6 doc/recover.6 $RPM_BUILD_ROOT%{_mandir}/man6/

cp %{SOURCE5} %{SOURCE6} %{SOURCE7} .
cp %{SOURCE8} vol3-1.2.2.pdf

install %{SOURCE3} $RPM_BUILD_ROOT%{_applnkdir}/Games/RPG
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/Guidebook doc/window.doc doc/fixes* %{name}rc.gz
#%doc $RPM_BUILD_ROOT%{_nhdir}/license CHANGES*
%lang(pl) %doc Guidebook-3.2pl.ps.gz

%attr(2755,root,games) %{_prefix}/games/nethack
%attr(2755,root,games) %{_nhdir}/nethack
%attr(2755,root,games) %{_nhdir}/recover

%attr(755,root,root) %dir %{_nhdir}
%{_nhdir}/nhdat
%{_nhdir}/*.xpm
%{_nhdir}/x11tiles

%attr(2775,root,games) %dir %{_dyndir}
%attr(2775,root,games) %dir %{_dyndir}/save
%attr(664,root,games) %{_dyndir}/perm
%attr(664,root,games) %config(noreplace) %verify(not,md5,size,mtime) %{_dyndir}/record
%attr(664,root,games) %config(noreplace) %verify(not,md5,size,mtime) %{_dyndir}/logfile

%{_mandir}/man6/*

%{_applnkdir}/Games/RPG/*
%{_pixmapsdir}/*

%files spoilers
%defattr(644,root,root,755)
%doc nhspoilers/README nhspoilers/*.txt
%doc %dir nhspoilers/gazetteer
%doc vol3-1.2.2.pdf

%files doc-pdf
%defattr(644,root,root,755)
%doc Guidebook.pdf

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: nethack.spec,v $
Revision 1.48  2002/11/06 11:11:39  ankry
- moved desktop (from Games/Roguelike to Games/RPG), rel. 11

Revision 1.47  2002/09/13 12:22:10  wolf
- "chodzi o wymuszenie jednorodnego rodowiska budowania. Tak powinno by."

Revision 1.46  2002/09/13 11:54:28  wolf
- removed lies

Revision 1.45  2002/09/07 07:38:41  blues
- release 10 - rebuild with qt3 - STBR

Revision 1.44  2002/08/25 22:00:04  wolf
- argh! these patches break tiles
- rel 9

Revision 1.43  2002/08/24 20:27:07  wolf
- new patches
- rel 8

Revision 1.42  2002/06/19 21:09:05  wolf
- corrected prev entry in changelog
- dragon hoard patch
- release 7

Revision 1.41  2002/06/19 13:33:56  ankry
- renamed Source8, STBR

Revision 1.40  2002/06/18 21:20:58  kloczek
- release 6.

Revision 1.39  2002/06/18 13:50:18  wolf
- newtoys patch
- monsters spoiler

Revision 1.38  2002/06/12 17:55:59  wolf
- new doc
- proper cxx
- dump patch no longer creates files like '???U@tX}@,?41????(?wolf.dump'
- release 5

Revision 1.37  2002/04/16 09:55:19  wolf
- release 4, STBR
- regenerated Guidebook.pdf, so it contains changes made by patches

Revision 1.36  2002/04/15 09:45:30  wolf
- ability to build vanilla flawor

Revision 1.35  2002/04/13 17:10:31  wolf
- release 3
- another bunch of patches
- todo: regenerate pdf guidebook (i don't have tex installed now, nor i have
  rpms)

Revision 1.34  2002/04/12 09:26:18  wolf
- first wave of patches

Revision 1.33  2002/04/11 10:20:53  wolf
- strange, there's no doc/lists, but i had it...
STBR now

Revision 1.32  2002/04/10 13:41:54  kloczek
- release 2.

Revision 1.31  2002/04/10 12:24:42  misiek
- run setup.sh via sh

Revision 1.30  2002/03/31 12:00:21  wolf
- added pdf guidebook
- spoiler -> psuj in pl desc

Revision 1.29  2002/03/28 13:44:53  wolf
- oh yeah, effects of influenza
- STBR

Revision 1.28  2002/03/27 13:54:48  wolf
- updated to 3.4.0
- 90k abracadabra patches are out
- patchhack: is there new version?

Revision 1.27  2002/03/18 13:18:22  wolf
- release 7
- req gzip
- new icon

Revision 1.26  2002/03/12 13:41:59  depesz
- patchhack works.

Revision 1.25  2002/03/09 16:53:46  mmazur
- added flex to BuildReq

Revision 1.24  2002/03/09 16:10:25  depesz
- typo

Revision 1.23  2002/03/09 16:08:14  depesz
- make %%files depend on _with_patchhack

Revision 1.22  2002/03/09 10:56:52  depesz
- added option (--with patchhack) to incorporate patchhack patches

Revision 1.21  2002/03/02 05:55:27  kloczek
- release 3.

Revision 1.20  2002/02/26 13:53:00  wolf
- extended description (based on jargon file)
- macro for version -> filename translation

Revision 1.19  2002/02/23 04:05:39  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/12 11:43:50  kloczek
- merged translations from Conectiva,
- spaec adapterized and few cosmetics.

Revision 1.16  2002/02/02 15:37:51  wolf
- release 2, STBR
- added icon, desktop file
- moved license to docs
- changed permissions from 2750 to 2755 -- files that should be accessible
  only by game (scores, bones, etc.) were writable for users in games group.
  No users should be in games group!
- removed dgn_comp and lev_comp from package -- they are used in building game
- Guidebook and Guidebook.txt had the same content
- added polish guidebook (by GSN AFAIR)
- recover does not seem to work
- moved sgid from _nhdir to _dyndir{,save}
- do not replace, remove, verify logfile and scores

Revision 1.15  2002/01/18 02:14:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/12/31 08:54:27  qboosh
- -spoilers pl description

Revision 1.13  2001/12/30 15:15:11  depesz
- new version
- qt support
- spoilers (in separate package)

Revision 1.12  2001/05/02 16:29:09  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.11  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.10  2000/08/27 18:15:02  kloczek
- release 8,
- added bison to BuildRequires.

Revision 1.9  2000/08/26 18:08:29  kloczek
- release 7,
- added Prereq: /usr/X11R6/bin/mkfontdir.

Revision 1.8  2000/07/13 23:17:08  baggins
- release 6
- rebuild with ncurses 5.1

Revision 1.7  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/07 04:11:30  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.3  1999/09/07 22:54:22  pius
- s/BuildPrereq/BuildRequires/g

Revision 1.2  1999/07/26 15:21:30  pius
- added using CVS keywords.

* Mon Jul 26 1999 Piotr Czerwiski <pius@pld.org.pl>
  [3.2.2-5]
- modified package for PLD use,
- removed all patches and added new ones,
- compiled with ncurses 4.2 and glibc 2.1,
- fixed color support when building with ncurses (thanks to Richard Braakman),
- fixed glibc 2.1 prototypes checking (by Harmut Koptein),
- graphic chars are now properly displayed,
- all dynamic stuff moved to /var/games/nethack (fhs 2.0 compliant),
- added using DESTDIR (nethack-makefile.patch),
- fixed permissions on all files,
- sgid games instead of suid games,
- added no,pl translation,
- other less important changes.

* Thu Apr 08 1999 Michael Maher <mike@redhat.com>
- I doubt this will ever be updated.
- recompiled for 6.0

* Wed Aug 13 1998 Michael Maher <mike@redhat.com>
- Built package
